VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2625
   ClientLeft      =   3150
   ClientTop       =   2655
   ClientWidth     =   3195
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2625
   ScaleWidth      =   3195
   Begin VB.HScrollBar HBar 
      Height          =   255
      Left            =   0
      TabIndex        =   3
      Top             =   2280
      Width           =   2655
   End
   Begin VB.VScrollBar VBar 
      Height          =   2175
      Left            =   2760
      TabIndex        =   2
      Top             =   0
      Width           =   255
   End
   Begin VB.PictureBox picOuter 
      Height          =   2175
      Left            =   0
      ScaleHeight     =   2115
      ScaleWidth      =   2595
      TabIndex        =   0
      Top             =   0
      Width           =   2655
      Begin VB.PictureBox picInner 
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   5625
         Left            =   0
         Picture         =   "Form1.frx":0000
         ScaleHeight     =   5625
         ScaleWidth      =   10200
         TabIndex        =   1
         Top             =   0
         Width           =   10200
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_Dragging As Boolean
Private m_X As Single
Private m_Y As Single

' Arrange the scroll bars.
Private Sub ArrangeScrollBars()
Dim have_wid As Single
Dim have_hgt As Single
Dim need_wid As Single
Dim need_hgt As Single
Dim need_hbar As Boolean
Dim need_vbar As Boolean

    ' Don't bother if we're minimized.
    If WindowState = vbMinimized Then Exit Sub

    ' See how much room we need and
    ' how much room we have.
    need_wid = picInner.Width + (picOuter.Width - picOuter.ScaleWidth)
    need_hgt = picInner.Height + (picOuter.Height - picOuter.ScaleHeight)
    have_wid = ScaleWidth
    have_hgt = ScaleHeight

    ' See which scroll bars we need.
    need_hbar = (need_wid > have_wid)
    If need_hbar Then have_hgt = have_hgt - HBar.Height

    need_vbar = (need_hgt > have_hgt)
    If need_vbar Then
        ' This takes away a little width so we
        ' might need the horizontal scroll bar now.
        have_wid = have_wid - VBar.Width
        If Not need_hbar Then
            need_hbar = (need_wid > have_wid)
            If need_hbar Then have_hgt = have_hgt - HBar.Height
        End If
    End If

    ' Position the outer PictureBox leaving room
    ' for the scroll bars.
    picOuter.Move 0, 0, have_wid, have_hgt

    ' Position or hide the scroll bars.
    If need_hbar Then
        HBar.Move 0, have_hgt, have_wid
        HBar.Min = 0
        HBar.Max = picOuter.ScaleWidth - picInner.Width
        HBar.LargeChange = picOuter.ScaleWidth
        HBar.SmallChange = picOuter.ScaleWidth / 5
        HBar.Visible = True
    Else
        HBar.Visible = False
    End If

    If need_vbar Then
        VBar.Move have_wid, 0, VBar.Width, have_hgt
        VBar.Min = 0
        VBar.Max = picOuter.ScaleHeight - picInner.Height
        VBar.LargeChange = picOuter.ScaleHeight
        VBar.SmallChange = picOuter.ScaleHeight / 5
        VBar.Visible = True
    Else
        VBar.Visible = False
    End If
End Sub
Private Sub Form_Resize()
    ArrangeScrollBars
End Sub
Private Sub HBar_Change()
    picInner.Left = HBar.Value
End Sub


Private Sub HBar_Scroll()
    picInner.Left = HBar.Value
End Sub


Private Sub picInner_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    m_Dragging = True
    m_X = X
    m_Y = Y
End Sub


Private Sub picInner_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim new_hbar As Single
Dim new_vbar As Single

    If Not m_Dragging Then Exit Sub

    new_hbar = HBar.Value + (X - m_X)
    If new_hbar < HBar.Max Then new_hbar = HBar.Max
    If new_hbar > HBar.Min Then new_hbar = HBar.Min
    HBar.Value = new_hbar

    new_vbar = VBar.Value + (Y - m_Y)
    If new_vbar < VBar.Max Then new_vbar = VBar.Max
    If new_vbar > VBar.Min Then new_vbar = VBar.Min
    VBar.Value = new_vbar
End Sub


Private Sub picInner_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    m_Dragging = False
End Sub


Private Sub VBar_Change()
    picInner.Top = VBar.Value
End Sub


Private Sub VBar_Scroll()
    picInner.Top = VBar.Value
End Sub
